| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
QosPolicyCount Struct Reference

A struct storing the id of the incompatible QoS Policy and the number of times it fails. More...

`#include <IncompatibleQosStatus.hpp>`

## Public Member Functions

| QosPolicyCount ()=default
| Constructor.
| QosPolicyCount (QosPolicyId_t id, int32_t c)
| Constructor.

## Public Attributes

QosPolicyId_t | policy_id = INVALID_QOS_POLICY_ID
| The id of the policy.
uint32_t | count = 0
| Total number of times that the concerned writer discovered a reader for the same topic.

## Detailed Description

A struct storing the id of the incompatible QoS Policy and the number of times it fails.

## Constructor & Destructor Documentation

## ◆ QosPolicyCount() [1/2]

QosPolicyCount | ( |  | ) |

default

Constructor.

## ◆ QosPolicyCount() [2/2]

QosPolicyCount | ( | QosPolicyId_t | id,
|  | int32_t | c )

inline

Constructor.

## Member Data Documentation

## ◆ count

uint32_t count = 0

Total number of times that the concerned writer discovered a reader for the same topic.

The requested QoS is incompatible with the one offered by the writer

## ◆ policy_id

QosPolicyId_t policy_id = INVALID_QOS_POLICY_ID

The id of the policy.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/IncompatibleQosStatus.hpp